CREATE OR REPLACE PROCEDURE sp_fdt_upd_bancos_detalle
(
    pch_compania     char,
    pti_banco        number,
    pvc_descripcion  varchar2,
    pvc_cuenta       varchar2,
    pti_tipo_cta     number,
    pvc_oficina_cta  varchar2,
    psi_concepto1     number,
    psi_concepto2     number,
    psi_concepto3     number,
    psi_concepto4     number,
    psi_concepto5     number,                
    pch_simb_moneda  char,
    pvc_responsable  varchar2,
    pvc_registro_fiscal varchar2,
    pch_operacion    char,
    pvc_usuario      varchar2,
    pvc_proc_generar varchar
)
AS
/********************************************************************/
/*** Módulo Fiscal de Colombia - Configuracion de Bancos          ***/
/*** Descripcion: Modifica detalles de las tablas fdt_bancos      ***/
/*** y fdt_bancos_cias_datos      								                ***/
/*** Autor:	Diana Cecilia Rios Peinado                            ***/
/*** Fecha:	Marzo 11 de 2005                                      ***/
/********************************************************************/
  vnm_existe      number(1);
BEGIN
  UPDATE fdt_bancos 
  SET descripcion = pvc_descripcion,
  proc_generacion = pvc_proc_generar
  WHERE banco = pti_banco;

  vnm_existe := 0;
  BEGIN
    SELECT 1
    INTO vnm_existe
    FROM fdt_bancos_cias_datos
    WHERE banco = pti_banco
		AND compania = pch_compania;
    EXCEPTION
       WHEN OTHERS THEN vnm_existe := 0;        
  END;
  
  IF vnm_existe = 1 THEN--1
    UPDATE fdt_bancos_cias_datos
    SET cuenta = pvc_cuenta,
        tipo_cta = pti_tipo_cta,
        oficina_cta = pvc_oficina_cta,
        concepto1 = psi_concepto1,
        concepto2 = psi_concepto2,
        concepto3 = psi_concepto3,
        concepto4 = psi_concepto4,
        concepto5 = psi_concepto5,        
        simbolo_moneda = pch_simb_moneda,
        responsable = pvc_responsable,
        registro_fiscal = pvc_registro_fiscal
    WHERE compania = pch_compania And
          banco = pti_banco;
  ELSE
		INSERT INTO fdt_bancos_cias_datos 
		(banco, compania, cuenta, tipo_cta, oficina_cta, concepto1, concepto2, concepto3, concepto4, concepto5, simbolo_moneda, responsable, registro_fiscal)
		VALUES (pti_banco,pch_compania, pvc_cuenta, pti_tipo_cta, pvc_oficina_cta, psi_concepto1, psi_concepto2, psi_concepto3, psi_concepto4, psi_concepto5,
				pch_simb_moneda, pvc_responsable, pvc_registro_fiscal);          
  END IF;--1
   
  COMMIT WORK;
END;
/

CREATE PUBLIC SYNONYM sp_fdt_upd_bancos_detalle FOR ADAM.sp_fdt_upd_bancos_detalle;
GRANT EXECUTE ON sp_fdt_upd_bancos_detalle TO adama;
